Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# /export2/deucetmp/bala/release_try/ACE_wrappers/ace/os_include/os_stdio.h File Reference

`#include "ace/config-lite.h"`
`#include "ace/os_include/os_stdarg.h"`
`#include "ace/os_include/os_stddef.h"`

Include dependency graph for os_stdio.h:

This graph shows which files directly or indirectly include this file:

## Defines
#define | ACE_MAX_USERID 32
#define | ACE_STREAMBUF_SIZE 1024
#define | ACE_STDIN GetStdHandle (STD_INPUT_HANDLE)
#define | ACE_STDOUT GetStdHandle (STD_OUTPUT_HANDLE)
#define | ACE_STDERR GetStdHandle (STD_ERROR_HANDLE)
## Typedefs
typedef OVERLAPPED | ACE_OVERLAPPED

## Detailed Description

standard buffered input/output

Id:
  os_stdio.h,v 1.7 2003/11/29 15:24:20 dhinton Exp

Author:
  Don Hinton <dhinton@dresystems.com> , This code was originally in various places including ace/OS.h.

## Define Documentation

#define ACE_MAX_USERID 32

#define ACE_STDERR GetStdHandle (STD_ERROR_HANDLE)

#define ACE_STDIN GetStdHandle (STD_INPUT_HANDLE)

#define ACE_STDOUT GetStdHandle (STD_OUTPUT_HANDLE)

#define ACE_STREAMBUF_SIZE 1024

## Typedef Documentation

typedef OVERLAPPED ACE_OVERLAPPED